#### Beyond Linux® From Scratch (systemd Edition) - Version 10.1

### Chapter 10. Graphics and Font Libraries

- Prev

  Potrace-1.16

- Next

  qrencode-4.1.1

- Up
- Home

# Qpdf-10.1.0

## Introduction to Qpdf

The Qpdf package contains command-line programs and a library that does structural, content-preserving transformations on PDF files.

This package is known to build and work properly using an LFS-10.1 platform.

### Package Information

- Download (HTTP): https://github.com/qpdf/qpdf/releases/download/release-qpdf-10.1.0/qpdf-10.1.0.tar.gz

- Download MD5 sum: 6d72264ff68a9807418af4d7fc613e95

- Download size: 18 MB

- Estimated disk space required: 274 MB (add 44 MB for tests)

- Estimated build time: 0.5 SBU (using parallelism=4; add 1.3 SBU for tests)

### Qpdf Dependencies

#### Required

libjpeg-turbo-2.0.6

#### Optional

fop-2.6, GnuTLS-3.7.0, and libxslt-1.1.34

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/qpdf

## Installation of Qpdf

Install Qpdf by running the following commands:

    ./configure --prefix=/usr    \
                --disable-static \
                --docdir=/usr/share/doc/qpdf-10.1.0 &&
    make

To test the results, issue: make check.

Now, as the `root` user:

    make install

## Command Explanations

`--disable-static`: This switch prevents installation of static versions of the libraries.

## Contents

Installed Programs: fix-qdf, qpdf, and zlib-flate
Installed Library: libqpdf.so
Installed Directories: /usr/include/qpdf and /usr/share/doc/qpdf-10.1.0

### Short Descriptions

fix-qdf | is used to repair PDF files in QDF form after editing
qpdf | is used to convert one PDF file to another equivalent PDF file
zlib-flate | is a raw zlib compression program
`libqpdf.so` | contains the Qpdf API functions

Last updated on 2021-02-21 15:09:04 -0800

- Prev

  Potrace-1.16

- Next

  qrencode-4.1.1

- Up
- Home